## timidity timidity — Midi Synthesizer Element |

## Synopsis

    struct              GstTimidity;

## Description

## Synopsis

### Element Information

plugin | timidity
author | Wouter Paesen <wouter@blue-gate.be>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/midi
| audio/riff-midi

name | src
direction | source
presence | always
details | audio/x-raw-int, rate=(int)44100, channels=(int)2, endianness=(int)1234, width=(int)16, depth=(int)16, signed=(boolean)true

## Details

### struct GstTimidity

    struct GstTimidity {
        GstElement element;

        GstPad *sinkpad, *srcpad;

        gboolean initialized;

        /* input stream properties */
        gint64 mididata_size, mididata_offset;
        gchar *mididata;
        gboolean mididata_filled;

        MidSong *song;

        /* output data */
        gboolean o_new_segment, o_segment_changed, o_seek;
        GstSegment o_segment[1];
        gint64 o_len;

        /* format of the stream */
        MidSongOptions song_options[1];
        gint64 bytes_per_frame;
        GstClockTime time_per_frame;

        GstCaps *out_caps;
    };